<script setup lang="ts">
import { type Report } from '@/scripts/api-helper'
import AppCard from './ui/AppCard.vue'
import AppButton from './ui/AppButton.vue'

const props = defineProps<{
  report: Report
}>()

const emits = defineEmits<{
  done: []
}>()

const date = new Date(props.report.timestamp)
const message = props.report.message.length > 0 ? props.report.message : 'No message'
</script>

<template>
  <AppCard dense :class="props.report.done ? 'opacity-50' : ''">
    <div class="flex justify-between">
      <p class="text-xl text-gray-900 dark:text-white">
        {{ props.report.report_type }} #{{ props.report.id }}
      </p>
      <p class="text-xl text-gray-900 dark:text-white">
        {{ date.toLocaleString('fr') }}
      </p>
    </div>
    <p class="text-gray-900 dark:text-white">
      <em>{{ message }}</em>
    </p>
    <div class="flex flex-row-reverse">
      <AppButton @click="() => emits('done')">{{
        props.report.done ? 'Mark as not done' : 'Mark as done'
      }}</AppButton>
    </div>
  </AppCard>
</template>
